Search Meilisearch index
POST
/api/v1/search/{index}
const url = 'https://example.com/api/v1/search/example';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"q":"example","options":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/search/example \ --header 'Content-Type: application/json' \ --data '{ "q": "example", "options": {} }'Performs a search on a specific Meilisearch index
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”index
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
q
required
string
options
object
Examplegenerated
{ "q": "example", "options": {}}Responses
Section titled “Responses”Meilisearch search results
Media typeapplication/json
object
Examplegenerated
{}Bad Request
Internal Server Error